<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Positioning Exercise</title>
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <style>
        * {
            margin: 0;
            padding: 0;
            font-family: Calibri, Arial, Helvetica;
        }

        html,
        body {
            width: 100%;
            height: 100%;
        }

        header {
            background: lightskyblue;
            height: 300px;
            width: 80%;
            margin-left: 10%;
            background-image: url('header.jpg');
            background-position: center;
            position: fixed;
            z-index: 2;
        }

        .top-box {
            background: orange;
            text-align: center;
            font-weight: bold;
            padding: 10px;
            font-size: 1.3em;
        }

        .left-box {
            border: 1px solid black;
            background: lightblue;
            padding: 10px;
            width: 130px;
            bottom: 0px;
            position: absolute;
            text-align: center;
        }

        .center-box {
            border-top: 1px solid black;
            border-bottom: 1px solid black;
            text-align: center;
            padding: 10px;
            font-weight: bold;
            position: absolute;
            bottom: 0;
            left: 152px;
            /* right: 150px; */
            width: calc(100% - 304px - 20px);
        }

        .right-box {
            border: 1px solid black;
            background: lightgreen;
            padding: 10px;
            width: 130px;
            text-align: center;
            right: 0px;
            bottom: 0px;
            position: absolute;
        }

        main {
            margin-left: 10%;
            /* padding-top: 310px; */
            width: 80%;
            top: 310px;
            position: relative;
        }

        nav {
            background: darkmagenta;
            width: 40px;
            height: 100%;
            position: fixed;
            z-index: 3;
            opacity: 0.96;
            transition: 0.3s;
            overflow: hidden;
        }

        nav div {
            width: 250px;
            margin: 10px 10px 10px 50px;
            margin-top: 30px;
        }

        nav div a {
            color: white;
        }

        nav div:hover, nav div:hover a  {
            background: white;
            color: black;
        }

        nav .menu-button {
            margin-left: 8px;
            margin-top: 8px;
            padding: 0;
            width: 24px;
            height: 24px;
            background: chartreuse;
            border-radius: 2px;
            cursor: pointer;
        }


    </style>
</head>

<body>
    <header>
        <div class="top-box">
            Super Cool Header!
        </div>
        <div class="left-box">
            The left box
        </div>
        <div class="center-box">
            Positioning is easy!
        </div>
        <div class="right-box">
            The right box
        </div>
    </header>
    <nav>
        <div class="menu-button" onclick="openNav()">
            <i class="material-icons">double_arrow</i>
        </div>
        <div>
            <a href="https://cnn.com">CNN</a>
        </div>
        <div>
            <a href="https://bbc.com">BBC</a>
        </div>
        <div>
            <a href="https://nytimes.com">New York Times</a>
        </div>
        <div>
            <a href="https://delfi.ee">Delfi</a>
        </div>
        <div>
            <a href="https://err.ee">ERR</a>
        </div>
        <div>
            <a href="https://postimees.ee">Postimees</a>
        </div>
    </nav>
    <main>
        <h1 style="position: sticky; top: 310px;">Lorem ipsum dolor, sit amet consectetur adipisicing elit</h1>
        <p>
            Lorem ipsum dolor, sit amet consectetur adipisicing elit. Neque aperiam tempora at dicta recusandae earum
            autem eveniet quis a debitis! Eveniet doloremque ipsa sapiente aliquam quam. Omnis, ducimus? Accusantium,
            iure?
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur, adipisicing elit. Nostrum, culpa labore! Quia totam soluta, repellat
            quam facere dignissimos sunt similique doloribus rerum exercitationem est blanditiis ipsum iste? Earum,
            exercitationem voluptas.
        </p>
        <p>
            Lorem ipsum dolor sit, amet consectetur adipisicing elit. Quibusdam esse delectus odio eaque eveniet minima
            asperiores? Voluptatibus cumque corporis, animi, tempora commodi eius eveniet quas ipsam temporibus quo
            perferendis recusandae?
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Doloremque voluptatum delectus pariatur, dolore
            dolorum, eum neque cupiditate, sapiente perferendis voluptate molestias minima enim a? Dolor esse
            exercitationem quam blanditiis natus?
        </p>
        <p>
            Lorem ipsum dolor sit, amet consectetur adipisicing elit. Aliquid quas, cum culpa reprehenderit perspiciatis
            non quidem nihil nisi ea. Alias corporis similique quaerat ipsam eos aspernatur temporibus libero,
            laboriosam enim.
        </p>
        <p>
            Lorem, ipsum dolor sit amet consectetur adipisicing elit. Totam dolore exercitationem libero cumque
            eligendi, et, sapiente ratione esse maiores, perferendis quam officiis distinctio iure saepe nesciunt
            assumenda asperiores quaerat in?
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur, adipisicing elit. Nostrum, culpa labore! Quia totam soluta, repellat
            quam facere dignissimos sunt similique doloribus rerum exercitationem est blanditiis ipsum iste? Earum,
            exercitationem voluptas.
        </p>
        <p>
            Lorem ipsum dolor sit, amet consectetur adipisicing elit. Quibusdam esse delectus odio eaque eveniet minima
            asperiores? Voluptatibus cumque corporis, animi, tempora commodi eius eveniet quas ipsam temporibus quo
            perferendis recusandae?
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Doloremque voluptatum delectus pariatur, dolore
            dolorum, eum neque cupiditate, sapiente perferendis voluptate molestias minima enim a? Dolor esse
            exercitationem quam blanditiis natus?
        </p>
        <p>
            Lorem ipsum dolor sit, amet consectetur adipisicing elit. Aliquid quas, cum culpa reprehenderit perspiciatis
            non quidem nihil nisi ea. Alias corporis similique quaerat ipsam eos aspernatur temporibus libero,
            laboriosam enim.
        </p>
        <p>
            Lorem, ipsum dolor sit amet consectetur adipisicing elit. Totam dolore exercitationem libero cumque
            eligendi, et, sapiente ratione esse maiores, perferendis quam officiis distinctio iure saepe nesciunt
            assumenda asperiores quaerat in?
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur, adipisicing elit. Nostrum, culpa labore! Quia totam soluta, repellat
            quam facere dignissimos sunt similique doloribus rerum exercitationem est blanditiis ipsum iste? Earum,
            exercitationem voluptas.
        </p>
        <p>
            Lorem ipsum dolor sit, amet consectetur adipisicing elit. Quibusdam esse delectus odio eaque eveniet minima
            asperiores? Voluptatibus cumque corporis, animi, tempora commodi eius eveniet quas ipsam temporibus quo
            perferendis recusandae?
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Doloremque voluptatum delectus pariatur, dolore
            dolorum, eum neque cupiditate, sapiente perferendis voluptate molestias minima enim a? Dolor esse
            exercitationem quam blanditiis natus?
        </p>
        <p>
            Lorem ipsum dolor sit, amet consectetur adipisicing elit. Aliquid quas, cum culpa reprehenderit perspiciatis
            non quidem nihil nisi ea. Alias corporis similique quaerat ipsam eos aspernatur temporibus libero,
            laboriosam enim.
        </p>
        <p>
            Lorem, ipsum dolor sit amet consectetur adipisicing elit. Totam dolore exercitationem libero cumque
            eligendi, et, sapiente ratione esse maiores, perferendis quam officiis distinctio iure saepe nesciunt
            assumenda asperiores quaerat in?
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur, adipisicing elit. Nostrum, culpa labore! Quia totam soluta, repellat
            quam facere dignissimos sunt similique doloribus rerum exercitationem est blanditiis ipsum iste? Earum,
            exercitationem voluptas.
        </p>
        <p>
            Lorem ipsum dolor sit, amet consectetur adipisicing elit. Quibusdam esse delectus odio eaque eveniet minima
            asperiores? Voluptatibus cumque corporis, animi, tempora commodi eius eveniet quas ipsam temporibus quo
            perferendis recusandae?
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Doloremque voluptatum delectus pariatur, dolore
            dolorum, eum neque cupiditate, sapiente perferendis voluptate molestias minima enim a? Dolor esse
            exercitationem quam blanditiis natus?
        </p>
        <p>
            Lorem ipsum dolor sit, amet consectetur adipisicing elit. Aliquid quas, cum culpa reprehenderit perspiciatis
            non quidem nihil nisi ea. Alias corporis similique quaerat ipsam eos aspernatur temporibus libero,
            laboriosam enim.
        </p>
        <p>
            Lorem, ipsum dolor sit amet consectetur adipisicing elit. Totam dolore exercitationem libero cumque
            eligendi, et, sapiente ratione esse maiores, perferendis quam officiis distinctio iure saepe nesciunt
            assumenda asperiores quaerat in?
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur, adipisicing elit. Nostrum, culpa labore! Quia totam soluta, repellat
            quam facere dignissimos sunt similique doloribus rerum exercitationem est blanditiis ipsum iste? Earum,
            exercitationem voluptas.
        </p>
        <p>
            Lorem ipsum dolor sit, amet consectetur adipisicing elit. Quibusdam esse delectus odio eaque eveniet minima
            asperiores? Voluptatibus cumque corporis, animi, tempora commodi eius eveniet quas ipsam temporibus quo
            perferendis recusandae?
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Doloremque voluptatum delectus pariatur, dolore
            dolorum, eum neque cupiditate, sapiente perferendis voluptate molestias minima enim a? Dolor esse
            exercitationem quam blanditiis natus?
        </p>
        <p>
            Lorem ipsum dolor sit, amet consectetur adipisicing elit. Aliquid quas, cum culpa reprehenderit perspiciatis
            non quidem nihil nisi ea. Alias corporis similique quaerat ipsam eos aspernatur temporibus libero,
            laboriosam enim.
        </p>
        <p>
            Lorem, ipsum dolor sit amet consectetur adipisicing elit. Totam dolore exercitationem libero cumque
            eligendi, et, sapiente ratione esse maiores, perferendis quam officiis distinctio iure saepe nesciunt
            assumenda asperiores quaerat in?
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur, adipisicing elit. Nostrum, culpa labore! Quia totam soluta, repellat
            quam facere dignissimos sunt similique doloribus rerum exercitationem est blanditiis ipsum iste? Earum,
            exercitationem voluptas.
        </p>
        <p>
            Lorem ipsum dolor sit, amet consectetur adipisicing elit. Quibusdam esse delectus odio eaque eveniet minima
            asperiores? Voluptatibus cumque corporis, animi, tempora commodi eius eveniet quas ipsam temporibus quo
            perferendis recusandae?
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Doloremque voluptatum delectus pariatur, dolore
            dolorum, eum neque cupiditate, sapiente perferendis voluptate molestias minima enim a? Dolor esse
            exercitationem quam blanditiis natus?
        </p>
        <p>
            Lorem ipsum dolor sit, amet consectetur adipisicing elit. Aliquid quas, cum culpa reprehenderit perspiciatis
            non quidem nihil nisi ea. Alias corporis similique quaerat ipsam eos aspernatur temporibus libero,
            laboriosam enim.
        </p>
        <p>
            Lorem, ipsum dolor sit amet consectetur adipisicing elit. Totam dolore exercitationem libero cumque
            eligendi, et, sapiente ratione esse maiores, perferendis quam officiis distinctio iure saepe nesciunt
            assumenda asperiores quaerat in?
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur, adipisicing elit. Nostrum, culpa labore! Quia totam soluta, repellat
            quam facere dignissimos sunt similique doloribus rerum exercitationem est blanditiis ipsum iste? Earum,
            exercitationem voluptas.
        </p>
        <p>
            Lorem ipsum dolor sit, amet consectetur adipisicing elit. Quibusdam esse delectus odio eaque eveniet minima
            asperiores? Voluptatibus cumque corporis, animi, tempora commodi eius eveniet quas ipsam temporibus quo
            perferendis recusandae?
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Doloremque voluptatum delectus pariatur, dolore
            dolorum, eum neque cupiditate, sapiente perferendis voluptate molestias minima enim a? Dolor esse
            exercitationem quam blanditiis natus?
        </p>
        <p>
            Lorem ipsum dolor sit, amet consectetur adipisicing elit. Aliquid quas, cum culpa reprehenderit perspiciatis
            non quidem nihil nisi ea. Alias corporis similique quaerat ipsam eos aspernatur temporibus libero,
            laboriosam enim.
        </p>
        <p>
            Lorem, ipsum dolor sit amet consectetur adipisicing elit. Totam dolore exercitationem libero cumque
            eligendi, et, sapiente ratione esse maiores, perferendis quam officiis distinctio iure saepe nesciunt
            assumenda asperiores quaerat in?
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur, adipisicing elit. Nostrum, culpa labore! Quia totam soluta, repellat
            quam facere dignissimos sunt similique doloribus rerum exercitationem est blanditiis ipsum iste? Earum,
            exercitationem voluptas.
        </p>
        <p>
            Lorem ipsum dolor sit, amet consectetur adipisicing elit. Quibusdam esse delectus odio eaque eveniet minima
            asperiores? Voluptatibus cumque corporis, animi, tempora commodi eius eveniet quas ipsam temporibus quo
            perferendis recusandae?
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Doloremque voluptatum delectus pariatur, dolore
            dolorum, eum neque cupiditate, sapiente perferendis voluptate molestias minima enim a? Dolor esse
            exercitationem quam blanditiis natus?
        </p>
        <p>
            Lorem ipsum dolor sit, amet consectetur adipisicing elit. Aliquid quas, cum culpa reprehenderit perspiciatis
            non quidem nihil nisi ea. Alias corporis similique quaerat ipsam eos aspernatur temporibus libero,
            laboriosam enim.
        </p>
        <p>
            Lorem, ipsum dolor sit amet consectetur adipisicing elit. Totam dolore exercitationem libero cumque
            eligendi, et, sapiente ratione esse maiores, perferendis quam officiis distinctio iure saepe nesciunt
            assumenda asperiores quaerat in?
        </p>
    </main>
    <script>
        let isNavOpen = false;

        function openNav() {
            if (isNavOpen == true) {
                document.querySelector('nav').style.width = "40px";
                document.querySelector('nav .menu-button').innerHTML = '<i class="material-icons">double_arrow</i>';
                isNavOpen = false;
            } else {
                document.querySelector('nav').style.width = "300px";
                document.querySelector('nav .menu-button').innerHTML = '<i class="material-icons">close</i>';
                isNavOpen = true;
            }
        }
    </script>
</body>

</html>